Bug 29968 - Configuring sendmail for STARTTLS causes fatal errors on startup
Configuring sendmail for STARTTLS causes fatal errors on startup
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-27 22:55 EST by Brian Rozmierski
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-27 22:55:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Rozmierski 2001-02-27 22:55:28 EST
I'm attmpting to enable STARTTLS in sendmail. According to the 
documentation I have found Creating a CA and uncommenting some lines in 
sendmail.cf seem to be all that is needed. After trying (and failing) with 
Sendmail-8.11.0-8 (Current RH7 RPM) I found bug ID 19534 which discusses 
building sendmail with AUTH and STARTTLS. The notes indicate 'The current 
rpm should be ok' however no indication of what 'current' is was made. I 
installed the latest sendmail RPM (from rawhide as listed below) and have 
had no further luck with it.

Reproducible: Always
Steps to Reproduce:
Place this in your sendmail.cf file after generating the appropriate files 
with openssl and restart. (Note: The directives below already exist, sans 
parameters, only commented out)

# CA directory
O CACERTPath /usr/share/ssl/certs/
# CA file
# Server Cert
O ServerCertFile /usr/share/ssl/certs/sendmail.pem
# Server private key
O ServerKeyFile /usr/share/ssl/certs/sendmail.pem
# Client Cert
O ClientCertFile /usr/share/ssl/certs/sendmail.pem
# Client private key
O ClientKeyFile /usr/share/ssl/certs/sendmail.pem
# DHParameters (only required if DSA/DH is used)
#O DHParameters
# Random data source (required for systems without /dev/urandom under 
#O RandFile

Actual Results: 
[root@maximus /etc]# init.d/sendmail start  
Starting sendmail: 554 5.0.0 /etc/sendmail.cf: line 477: readcf: unknown 
option name CACERTPath /usr/share/ssl/certs/
554 5.0.0 /etc/sendmail.cf: line 481: readcf: unknown option name 
ServerCertFile /usr/share/ssl/certs/sendmail
554 5.0.0 /etc/sendmail.cf: line 483: readcf: unknown option name 
ServerKeyFile /usr/share/ssl/certs/sendmail
554 5.0.0 /etc/sendmail.cf: line 485: readcf: unknown option name 
ClientCertFile /usr/share/ssl/certs/sendmail
554 5.0.0 /etc/sendmail.cf: line 487: readcf: unknown option name 
ClientKeyFile /usr/share/ssl/certs/sendmail

Installed RPMs:
Comment 1 Florian La Roche 2002-03-10 02:59:56 EST
Newer rpms should work fine with this.


Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.